X (Twitter) API
X erreicht rund 600 Millionen monatliche Nutzer durch kurze Beiträge, Live-Kommentare, Videos und aktuelle Nachrichten, was es wichtig für Echtzeitkommunikation, Medienpräsenz und Reputationsreaktion macht.
Basis-URL
https://api.pressmonitor.com/x/v1 Authentifizierung
Alle Anfragen verwenden die Authentifizierung mit Bearer-Token. Fügen Sie den Authorization-Header zu jedem Aufruf hinzu.
Authorization: Bearer YOUR_TOKEN /autocomplete Autovervollständigung
Autocomplete
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| value | string | query | Ja | Wert |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/autocomplete?value=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/autocomplete?value=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/autocomplete" querystring = {"value":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/autocomplete?value=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/autocomplete?value=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/community-topics Community-Themen
Community Topics
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/community-topics?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/community-topics?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/community-topics" querystring = {"count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/community-topics?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/community-topics?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/community-tweets Community-Tweets
Community Tweets
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| communityId | string | query | Ja | Community-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/community-tweets?communityId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/community-tweets?communityId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/community-tweets" querystring = {"communityId":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/community-tweets?communityId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/community-tweets?communityId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/fetch-popular-communities Beliebte Communities abrufen
Fetch Popular Communities
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| topicId | string | query | Ja | Themen-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/fetch-popular-communities?topicId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/fetch-popular-communities?topicId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/fetch-popular-communities" querystring = {"topicId":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/fetch-popular-communities?topicId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/fetch-popular-communities?topicId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/followers Follower
Followers
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/followers" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/followers-ids Follower-IDs
Followers I Ds
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Benutzername (Screenname ohne @-Symbol, z.B. 'elonmusk') |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/followers-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/followers-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/followers-ids" querystring = {"username":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/followers-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/followers-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/followings Folgende
Followings
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/followings?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/followings?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/followings" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/followings?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/followings?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/followings-ids Folgenden-IDs
Followings I Ds
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Benutzername (Screenname ohne @-Symbol, z.B. 'elonmusk') |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/followings-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/followings-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/followings-ids" querystring = {"username":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/followings-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/followings-ids?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/get-users Benutzer abrufen
Get Users
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| users | string | query | Ja | Benutzer |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/get-users?users=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/get-users?users=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/get-users" querystring = {"users":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/get-users?users=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/get-users?users=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/group-tweets Gruppen-Tweets
Group Tweets
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| communityId | string | query | Ja | Community-ID |
| rankingMode | string | query | Ja | Ranking-Modus |
| searchType | string | query | Ja | Suchtyp |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/group-tweets?communityId=SOME_STRING_VALUE&rankingMode=SOME_STRING_VALUE&searchType=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/group-tweets?communityId=SOME_STRING_VALUE&rankingMode=SOME_STRING_VALUE&searchType=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/group-tweets" querystring = {"communityId":"SOME_STRING_VALUE","rankingMode":"SOME_STRING_VALUE","searchType":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/group-tweets?communityId=SOME_STRING_VALUE&rankingMode=SOME_STRING_VALUE&searchType=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/group-tweets?communityId=SOME_STRING_VALUE&rankingMode=SOME_STRING_VALUE&searchType=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/highlights Highlights
Highlights
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/highlights?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/highlights?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/highlights" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/highlights?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/highlights?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/jobs-details Jobdetails
Jobs Details
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| jobId | string | query | Ja | Job-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/jobs-details?jobId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/jobs-details?jobId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/jobs-details" querystring = {"jobId":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/jobs-details?jobId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/jobs-details?jobId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/jobs-locations-suggest Jobstandorte vorschlagen
Jobs Locations Suggest
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/jobs-locations-suggest?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/jobs-locations-suggest?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/jobs-locations-suggest" querystring = {"query":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/jobs-locations-suggest?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/jobs-locations-suggest?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/jobs-search Jobsuche
Jobs Search
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| employment_type | string | query | Ja | Beschäftigungsart |
| job_location_id | string | query | Ja | Jobstandort-ID |
| job_location_type | string | query | Ja | Jobstandorttyp |
| keyword | string | query | Ja | Schlüsselwort |
| seniority_level | string | query | Ja | Senioritätsstufe |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/jobs-search?employment_type=SOME_STRING_VALUE&job_location_id=SOME_STRING_VALUE&job_location_type=SOME_STRING_VALUE&keyword=SOME_STRING_VALUE&seniority_level=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/jobs-search?employment_type=SOME_STRING_VALUE&job_location_id=SOME_STRING_VALUE&job_location_type=SOME_STRING_VALUE&keyword=SOME_STRING_VALUE&seniority_level=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/jobs-search" querystring = {"employment_type":"SOME_STRING_VALUE","job_location_id":"SOME_STRING_VALUE","job_location_type":"SOME_STRING_VALUE","keyword":"SOME_STRING_VALUE","seniority_level":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/jobs-search?employment_type=SOME_STRING_VALUE&job_location_id=SOME_STRING_VALUE&job_location_type=SOME_STRING_VALUE&keyword=SOME_STRING_VALUE&seniority_level=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/jobs-search?employment_type=SOME_STRING_VALUE&job_location_id=SOME_STRING_VALUE&job_location_type=SOME_STRING_VALUE&keyword=SOME_STRING_VALUE&seniority_level=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/likes Gefällt mir
Likes
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| pid | string | query | Ja | Pid |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/likes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/likes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/likes" querystring = {"pid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/likes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/likes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/list-details Listen-Details
List Details
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| listId | string | query | Ja | Listen-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/list-details?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/list-details?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/list-details" querystring = {"listId":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/list-details?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/list-details?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/list-timeline Listen-Zeitachse
List Timeline
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| listId | string | query | Ja | Listen-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/list-timeline?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/list-timeline?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/list-timeline" querystring = {"listId":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/list-timeline?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/list-timeline?listId=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/list-tweets Listen-Tweets
List Tweets
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| list_id | string | query | Ja | Listen-ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/list-tweets?list_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/list-tweets?list_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/list-tweets" querystring = {"list_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/list-tweets?list_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/list-tweets?list_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/org-affiliates Organisationszugehörigkeiten
Org Affiliates
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/org-affiliates?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/org-affiliates?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/org-affiliates" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/org-affiliates?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/org-affiliates?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/quotes Zitate
Quotes
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| pid | string | query | Ja | Pid |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/quotes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/quotes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/quotes" querystring = {"pid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/quotes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/quotes?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/retweets Retweets
Retweets
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| pid | string | query | Ja | Pid |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/retweets?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/retweets?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/retweets" querystring = {"pid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/retweets?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/retweets?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/search Suche
Search
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
| type | string | query | Ja | Typ |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/search?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/search?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/search" querystring = {"query":"SOME_STRING_VALUE","type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/search?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/search?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/search-community Community suchen
Search Community
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/search-community?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/search-community?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/search-community" querystring = {"query":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/search-community?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/search-community?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/search-lists Listen suchen
Search Lists
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/search-lists?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/search-lists?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/search-lists" querystring = {"query":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/search-lists?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/search-lists?query=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/searchold Alte Suche
Searchold
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| query | string | query | Ja | Suchanfrage |
| type | string | query | Ja | Typ |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/searchold?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/searchold?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/searchold" querystring = {"query":"SOME_STRING_VALUE","type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/searchold?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/searchold?query=SOME_STRING_VALUE&type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/spaces Spaces
Spaces
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| id | string | query | Ja | ID |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/spaces?id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/spaces?id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/spaces" querystring = {"id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/spaces?id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/spaces?id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/trends Trends
Trends
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| woeid | string | query | Ja | Woeid |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/trends?woeid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/trends?woeid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/trends" querystring = {"woeid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/trends?woeid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/trends?woeid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/trends-locations Trendstandorte
Trends Locations
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/trends-locations?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/trends-locations?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/trends-locations" querystring = {"count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/trends-locations?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/trends-locations?count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/tweet Tweet
Tweet
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| pid | string | query | Ja | Pid |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/tweet?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/tweet?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/tweet" querystring = {"pid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/tweet?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/tweet?pid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/tweet-by-ids Tweets nach IDs
Tweet By Ids
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| tweetIDs | string | query | Ja | Tweet-IDs |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/tweet-by-ids?tweetIDs=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/tweet-by-ids?tweetIDs=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/tweet-by-ids" querystring = {"tweetIDs":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/tweet-by-ids?tweetIDs=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/tweet-by-ids?tweetIDs=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user Benutzer
User
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| username | string | query | Ja | Benutzername (Screenname ohne @-Symbol, z.B. 'elonmusk') |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user" querystring = {"username":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user?username=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user-likes Benutzer-Likes
User Likes
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user-likes?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user-likes?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user-likes" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user-likes?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user-likes?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user-media Benutzermedien
User Media
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| cusor | string | query | Ja | Cursor |
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user-media?cusor=SOME_STRING_VALUE&user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user-media?cusor=SOME_STRING_VALUE&user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user-media" querystring = {"cusor":"SOME_STRING_VALUE","user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user-media?cusor=SOME_STRING_VALUE&user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user-media?cusor=SOME_STRING_VALUE&user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user-replies Benutzer-Antworten
User Replies
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user-replies?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user-replies?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user-replies" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user-replies?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user-replies?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user-replies-v2 Benutzer-Antworten V2
User Replies V2
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user-replies-v2?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user-replies-v2?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user-replies-v2" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user-replies-v2?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user-replies-v2?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/user-tweets Benutzer-Tweets
User Tweets
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/user-tweets?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/user-tweets?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/user-tweets" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/user-tweets?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/user-tweets?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Antworten
/verified-followers Verifizierte Follower
Verified Followers
Parameter
| Name | Typ | Standort | Erforderlich | Beschreibung |
|---|---|---|---|---|
| user | string | query | Ja | Numerische Benutzer-ID (nicht Benutzername). Verwenden Sie den 'user'-Endpunkt, um die ID aus dem Benutzernamen zu ermitteln |
| count | integer | query | Nein | Anzahl der zurückzugebenden Ergebnisse |
| cursor | integer | query | Nein | Paginierungs-Cursor für die nächste Seite |
Code-Beispiele
curl --request GET \ --url 'https://api.pressmonitor.com/x/v1/verified-followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/x/v1/verified-followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/x/v1/verified-followers" querystring = {"user":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/x/v1/verified-followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/x/v1/verified-followers?user=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute();
/commentsKommentare
Comments
Parameter
stringstringintegerintegerCode-Beispiele
Antworten